/**
 * @file callbacks.c 
 * 
 * DMA transfer callbacks
 * 
 * @author Tecnologix, 2015
 */
#include "globals.h"

/* ====================================================================================================
 * PUBLIC FUNCTIONS
 * ==================================================================================================== */

/**
 * Manages the DMA Half Transfer complete event.
 */
void BSP_AUDIO_OUT_HalfTransfer_CallBack(void)
{
  buffer_ctl.state = BUFFER_OFFSET_HALF;
}

/**
 * Manages the DMA fULL Transfer complete event.
 */
void BSP_AUDIO_OUT_TransferComplete_CallBack(void)
{
  buffer_ctl.state = BUFFER_OFFSET_FULL;
}

