/**
 * @file interrupts.c 
 * 
 * Interrupt handlers
 * 
 * @author Tecnologix, 2015
 */
#include "stm32f7xx_hal.h"
#include "stm32746g_discovery_audio.h"

/* =============================================================================================
 * EXTERN VARIABLES
 * ============================================================================================= */
extern SAI_HandleTypeDef haudio_out_sai;

/* =============================================================================================
 * PUBLIC FUNCTIONS
 * ============================================================================================= */

/* DMA transfer handler */
void AUDIO_OUT_SAIx_DMAx_IRQHandler(void)
{
  HAL_DMA_IRQHandler(haudio_out_sai.hdmatx);
}
